Index: tbroadcast/HEAD/scripts/generateGantt
===================================================================
--- tbroadcast/HEAD/scripts/generateGantt	(revision 247)
+++ tbroadcast/HEAD/scripts/generateGantt	(revision 248)
@@ -1,3 +1,12 @@
 #!/usr/bin/env python
+#----------------------------------#
+# -- Author: V. Garonne
+# -- Mail: garonne@lal.in2p3.fr
+# -- Date: 08/25/2006 
+# -- Name: generateGantt
+# -- Description: script to generate 
+# -- the gantt chart from a input file
+# -- It uses Paw.
+#----------------------------------#
 
 import os
@@ -5,10 +14,21 @@
 import time
 import string
+import commands
+
+def usage ():
+    print 'Usage : > generateGannt <input file>'
 
 if __name__ == '__main__':
-    file = sys.argv[1]
-    f = open (file)
+    if len(sys.argv) != 2:
+        usage ()
+        sys.exit(-1)
+    
+    # First read the file    
+    file  = sys.argv[1]
+    f     = open (file)
     lines = f.readlines()
     f.close ()
+    
+    # Instanciate constants
     total = len(lines)
     min   = time.time()
@@ -22,4 +42,5 @@
             max = float(end)
 
+    # then compute for each package its line
     packages = {}
     for line in lines:
@@ -40,5 +61,5 @@
                     packages[package]['index']= index
                     done.append(package)
-                    print i,index, package
+                    #print i,index, package
             if not package in start:
                 if packages[package]['start']> i:        
@@ -50,4 +71,5 @@
     y = 0
     for package in packages:
+        print package
         if packages[package]['index'] > y:
             y = packages[package]['index']
@@ -105,30 +127,7 @@
 
     f = open ("exec.kumac", "w+")
-    f.write  ("\n\n kumac/"+string.lower(Site)+".kumac")
+    f.write  ("\n\n gantt.kumac")
     f.close  ()
 
-    status, output = commands.getstatusoutput ("paw<exec.kumac")
-#    status, output = commands.getstatusoutput (cmd)
-#
-#            
-#    
-#    for package in packages:
-#        #print packages[package]['start'], packages[package]['end']
-#        concurent = list()
-#        for pack in packages:            
-#            if (packages[package]['start'] < packages[pack]['start'] and packages[pack]['start'] < packages[package]['end'])\
-#            or (packages[package]['start'] < packages[pack]['end'] and packages[pack]['end'] < packages[package]['end']):            
-#                concurent.append (pack)
-#        packages[package]['concurent'] =  concurent
-#
-#    total = 0
-#    for package in packages:
-#        if len(packages[package]['concurent'])> total:
-#            total = len(packages[package]['concurent'])        
-#        if not packages[package].has_key('index'):
-#            index = 1
-#            for pack in packages[package]['concurent']:            
-#                if packages[package]['end']<packages[pack]['end']:
-#                    index = index + 1
-#            packages[package]['index'] = index
-#
+    status, output = commands.getstatusoutput ("paw<exec.kumac")    
+#--------- EoF --------#
Index: tbroadcast/HEAD/scripts/tbroadcast
===================================================================
--- tbroadcast/HEAD/scripts/tbroadcast	(revision 247)
+++ tbroadcast/HEAD/scripts/tbroadcast	(revision 248)
@@ -19,13 +19,15 @@
     print '#   <command>: command to execute'
     print '# global options :'
-    print '#   -check                : Check execution (deadlocks)'
     print '#   -f=<file>             : Input file'
     print '#   -help                 : Print help'
-    print '#   -local                : '
-    print '#   -ignore_cycles        : '
-    print '#   -nb=<num_worker>      : Total number of threads'
+    print '#   -local                : Reach packages only within the current project'
+    print '#   -global               : Reach packages in all CMTPATH/CMTPROJECTPATH items'    
+    print '#   -ignore_cycles        : Suppress automatically the cycles'
+    print '#   -nb=<num_worker>      : Change the total number of threads[default is 20]'
     print '#   -output=<location>    : Output directory to store output files with the form <package>_output.log'
     print '#   -error=<location>     : Output directory to store error output with the form <package>_error.log'
-    print '#   -print                : Print dependency graph' 
+    print '#   -perf=<file>          : Store for each package the time for executing the command in the <file> file'
+    print '#   -print                : Print dependencies for each package' 
+    print '#   -silent               : Disable print'     
     print '#   -test                 : Simulate execution'
 
@@ -52,5 +54,5 @@
                 file = string.split(arg,'=')[1]
              if option == '-perf':
-                perf = True
+                perf = string.split(arg,'=')[1]
              if option == '-output':
                 output = string.split(arg,'=')[1]