Index: cmtsite/cmtcvs/cmtcvs.html
===================================================================
--- cmtsite/cmtcvs/cmtcvs.html	(revision 256)
+++ cmtsite/cmtcvs/cmtcvs.html	(revision 268)
@@ -1,2 +1,27 @@
+<!-- phpmyvisites -->
+<a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics"
+onclick="window.open(this.href);return(false);">
+<script type="text/javascript">
+<!--
+var a_vars = Array();
+var pagename='';
+
+var phpmyvisitesSite = 1;
+var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
+//-->
+</script>
+<script language=javascript src="http://www.cmtsite.org/phpmv2/phpmyvisites.js"
+type="text/javascript"></script>
+<noscript>
+<p>phpMyVisites | Open source web analytics
+<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
+</p>
+</noscript>
+</a>
+<!-- /phpmyvisites --> 
+
+
+
+
 <center><h1><b>cmtcvs</b></h1></center>
 
Index: cmtsite/discussion.html
===================================================================
--- cmtsite/discussion.html	(revision 256)
+++ cmtsite/discussion.html	(revision 268)
@@ -6,4 +6,25 @@
 //-----------------------------------------------------------
 -->
+<!-- phpmyvisites -->
+<a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics"
+onclick="window.open(this.href);return(false);">
+<script type="text/javascript">
+<!--
+var a_vars = Array();
+var pagename='';
+
+var phpmyvisitesSite = 1;
+var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
+//-->
+</script>
+<script language=javascript src="http://www.cmtsite.org/phpmv2/phpmyvisites.js"
+type="text/javascript"></script>
+<noscript>
+<p>phpMyVisites | Open source web analytics
+<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
+</p>
+</noscript>
+</a>
+<!-- /phpmyvisites --> 
 
 
Index: cmtsite/documents.html
===================================================================
--- cmtsite/documents.html	(revision 256)
+++ cmtsite/documents.html	(revision 268)
@@ -6,5 +6,25 @@
 //-----------------------------------------------------------
 -->
+<!-- phpmyvisites -->
+<a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics"
+onclick="window.open(this.href);return(false);">
+<script type="text/javascript">
+<!--
+var a_vars = Array();
+var pagename='';
 
+var phpmyvisitesSite = 1;
+var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
+//-->
+</script>
+<script language=javascript src="http://www.cmtsite.org/phpmv2/phpmyvisites.js"
+type="text/javascript"></script>
+<noscript>
+<p>phpMyVisites | Open source web analytics
+<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
+</p>
+</noscript>
+</a>
+<!-- /phpmyvisites --> 
 <center><h1><b>Documents</b></h1></center>
 
Index: cmtsite/download.html
===================================================================
--- cmtsite/download.html	(revision 256)
+++ cmtsite/download.html	(revision 268)
@@ -6,4 +6,25 @@
 //-----------------------------------------------------------
 -->
+<!-- phpmyvisites -->
+<a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics"
+onclick="window.open(this.href);return(false);">
+<script type="text/javascript">
+<!--
+var a_vars = Array();
+var pagename='';
+
+var phpmyvisitesSite = 1;
+var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
+//-->
+</script>
+<script language=javascript src="http://www.cmtsite.org/phpmv2/phpmyvisites.js"
+type="text/javascript"></script>
+<noscript>
+<p>phpMyVisites | Open source web analytics
+<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
+</p>
+</noscript>
+</a>
+<!-- /phpmyvisites --> 
 
 <center><h1><b>Download</b></h1></center>
Index: cmtsite/emacs.html
===================================================================
--- cmtsite/emacs.html	(revision 256)
+++ cmtsite/emacs.html	(revision 268)
@@ -10,4 +10,28 @@
 <html>
   <head>
+<!-- phpmyvisites -->
+<a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics"
+onclick="window.open(this.href);return(false);">
+<script type="text/javascript">
+<!--
+var a_vars = Array();
+var pagename='';
+
+var phpmyvisitesSite = 1;
+var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
+//-->
+</script>
+<script language=javascript src="http://www.cmtsite.org/phpmv2/phpmyvisites.js"
+type="text/javascript"></script>
+<noscript>
+<p>phpMyVisites | Open source web analytics
+<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
+</p>
+</noscript>
+</a>
+<!-- /phpmyvisites --> 
+
+
+
     <title>Emacs mode for CMT</title>
   </head>
Index: cmtsite/index.html
===================================================================
--- cmtsite/index.html	(revision 256)
+++ cmtsite/index.html	(revision 268)
@@ -8,30 +8,9 @@
 
 <html>
+
   <head>
     <title>CMT</title>
-	<!-- phpmyvisites -->
-<a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics"
-onclick="window.open(this.href);return(false);">
-<script type="text/javascript">
-<!--
-var a_vars = Array();
-var pagename='';
-
-var phpmyvisitesSite = 1;
-var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
-//-->
-</script>
-<script language=javascript src="http://www.cmtsite.org/phpmv2/phpmyvisites.js"
-type="text/javascript"></script>
-<noscript>
-<p>phpMyVisites | Open source web analytics
-<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
-</p>
-</noscript>
-</a>
-<!-- /phpmyvisites --> 
 
   </head>
-
   <frameset cols="15%, *" border="4">
 
@@ -45,5 +24,4 @@
 
   </frameset>
-
 </html>
 
Index: cmtsite/install.html
===================================================================
--- cmtsite/install.html	(revision 256)
+++ cmtsite/install.html	(revision 268)
@@ -6,4 +6,25 @@
 //-----------------------------------------------------------
 -->
+<!-- phpmyvisites -->
+<a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics"
+onclick="window.open(this.href);return(false);">
+<script type="text/javascript">
+<!--
+var a_vars = Array();
+var pagename='';
+
+var phpmyvisitesSite = 1;
+var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
+//-->
+</script>
+<script language=javascript src="http://www.cmtsite.org/phpmv2/phpmyvisites.js"
+type="text/javascript"></script>
+<noscript>
+<p>phpMyVisites | Open source web analytics
+<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
+</p>
+</noscript>
+</a>
+<!-- /phpmyvisites --> 
 
 <center><h1><b>Installing from the source kit</b></h1></center>
Index: cmtsite/intro.html
===================================================================
--- cmtsite/intro.html	(revision 256)
+++ cmtsite/intro.html	(revision 268)
@@ -6,5 +6,25 @@
 //-----------------------------------------------------------
 -->
+<!-- phpmyvisites -->
+<a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics"
+onclick="window.open(this.href);return(false);">
+<script type="text/javascript">
+<!--
+var a_vars = Array();
+var pagename='';
 
+var phpmyvisitesSite = 1;
+var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
+//-->
+</script>
+<script language=javascript src="http://www.cmtsite.org/phpmv2/phpmyvisites.js"
+type="text/javascript"></script>
+<noscript>
+<p>phpMyVisites | Open source web analytics
+<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
+</p>
+</noscript>
+</a>
+<!-- /phpmyvisites --> 
 <center><h1><b>Introduction</b></h1></center>
 
Index: cmtsite/projectmanagement.html
===================================================================
--- cmtsite/projectmanagement.html	(revision 256)
+++ cmtsite/projectmanagement.html	(revision 268)
@@ -6,5 +6,25 @@
 //-----------------------------------------------------------
 -->
+<!-- phpmyvisites -->
+<a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics"
+onclick="window.open(this.href);return(false);">
+<script type="text/javascript">
+<!--
+var a_vars = Array();
+var pagename='';
 
+var phpmyvisitesSite = 1;
+var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
+//-->
+</script>
+<script language=javascript src="http://www.cmtsite.org/phpmv2/phpmyvisites.js"
+type="text/javascript"></script>
+<noscript>
+<p>phpMyVisites | Open source web analytics
+<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
+</p>
+</noscript>
+</a>
+<!-- /phpmyvisites --> 
 <center><h1><b>Project management</b></h1></center>
 
Index: cmtsite/table.html
===================================================================
--- cmtsite/table.html	(revision 256)
+++ cmtsite/table.html	(revision 268)
@@ -6,5 +6,25 @@
 //-----------------------------------------------------------
 -->
+<!-- phpmyvisites -->
+<a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics"
+onclick="window.open(this.href);return(false);">
+<script type="text/javascript">
+<!--
+var a_vars = Array();
+var pagename='';
 
+var phpmyvisitesSite = 1;
+var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
+//-->
+</script>
+<script language=javascript src="http://www.cmtsite.org/phpmv2/phpmyvisites.js"
+type="text/javascript"></script>
+<noscript>
+<p>phpMyVisites | Open source web analytics
+<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
+</p>
+</noscript>
+</a>
+<!-- /phpmyvisites --> 
   <body bgcolor="#bbbbff">
  
@@ -17,9 +37,9 @@
   <li><a href="intro.html" target="Contents">Introduction</a></li>
   <li><a href="projectmanagement.html" target="Contents">Project</a></li>
-  <li><a href="http://www.cecill.info/licences/Licence_CeCILL_V2-en.html" target="Contents">Copyright</a></li>
+  <li><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cecill.info/licences/Licence_CeCILL_V2-en.html&id=1&pagename=FILE:CMT_Ttrac" target="Contents">Copyright</a></li>
   <li><a href="documents.html" target="Contents">Documentation</a></li>
-  <li><a href="http://trac.lal.in2p3.fr/CMT" target="Contents">Bug reporting</a></li>
+  <li><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://trac.lal.in2p3.fr/CMT&id=1&pagename=FILE:CMT_Ttrac" target="Contents">Bug reporting</a></li>
   <li><a href="discussion.html" target="Contents">Discussion</a></li>
-  <li><a href="http://svn.lal.in2p3.fr/WebSVN/CMT/" target="Contents">Repository</a></li>
+  <li><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://svn.lal.in2p3.fr/WebSVN/CMT/&id=1&pagename=FILE:SVN_CMT" target="Contents">Repository</a></li>
   <li><a href="download.html" target="Contents">Download</a></li>
   <li><a href="install.html" target="Contents">Install</a></li>
Index: cmtsite/tbroadcast.html
===================================================================
--- cmtsite/tbroadcast.html	(revision 256)
+++ cmtsite/tbroadcast.html	(revision 268)
@@ -10,4 +10,27 @@
 <html>
   <head>
+<!-- phpmyvisites -->
+<a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics"
+onclick="window.open(this.href);return(false);">
+<script type="text/javascript">
+<!--
+var a_vars = Array();
+var pagename='';
+
+var phpmyvisitesSite = 1;
+var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
+//-->
+</script>
+<script language=javascript src="http://www.cmtsite.org/phpmv2/phpmyvisites.js"
+type="text/javascript"></script>
+<noscript>
+<p>phpMyVisites | Open source web analytics
+<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
+</p>
+</noscript>
+</a>
+<!-- /phpmyvisites --> 
+
+
     <title>MultiThreaded broadcast utility</title>
   </head>