Index: /CMT/HEAD/ChangeLog
===================================================================
--- /CMT/HEAD/ChangeLog	(revision 271)
+++ /CMT/HEAD/ChangeLog	(revision 272)
@@ -1,3 +1,8 @@
 
+2006-10-17 Vincent Garonne <garonne@lal.in2p3.fr> 313
+
+    * source/cmt_symbol.*, source/cmt_parser.*, source/cmt_commands.*, source/cmt_syntax.*, source/cmt.h: Add support for the show project author command
+    * src/setup.*: Add auto-expand for project_author
+ 
 2006-09-28 Vincent Garonne <garonne@lal.in2p3.fr> 312
 
Index: /CMT/HEAD/mgr/requirements
===================================================================
--- /CMT/HEAD/mgr/requirements	(revision 271)
+++ /CMT/HEAD/mgr/requirements	(revision 272)
@@ -730,11 +730,6 @@
 cmt_commands.cxx
 
-# Add-ons
-
-
-private
 
 macro all_constituents cmt
 
 macro_append cpplink "" VisualC " advapi32.lib "
-
Index: /CMT/HEAD/source/cmt.h
===================================================================
--- /CMT/HEAD/source/cmt.h	(revision 271)
+++ /CMT/HEAD/source/cmt.h	(revision 272)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by garonne@lal.in2p3.fr
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
@@ -175,4 +176,5 @@
   static void do_show_patterns (const ArgParser& ap);
   static void do_show_projects (const ArgParser& ap);
+  static void do_show_project_author (const ArgParser& ap);  
   static void do_show_pwd (const ArgParser& ap);
   static void do_show_setup (const ArgParser& ap);
Index: /CMT/HEAD/source/cmt_commands.cxx
===================================================================
--- /CMT/HEAD/source/cmt_commands.cxx	(revision 271)
+++ /CMT/HEAD/source/cmt_commands.cxx	(revision 272)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by garonne@lal.in2p3.fr
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
@@ -1387,4 +1388,9 @@
 	  cmt.m_action = action_show_projects;
 	}
+	else if (arg == "project_author")
+	{
+	  cmt.m_action = action_show_project_author;
+	}
+
       else if (arg == "pwd")
 	{
@@ -2159,4 +2165,5 @@
   help_texts.add () =  "show  patterns          :  the pattern definitions";
   help_texts.add () =  "show  projects          :  project definitions";
+  help_texts.add () =  "show  project author    :  project author";
   help_texts.add () =  "show  setup             :  setup definitions";
   help_texts.add () =  "show  pwd               :  filtered current directory";
@@ -2256,4 +2263,5 @@
   help.add (action_show_patterns, help_texts[action_show_patterns]);
   help.add (action_show_projects, help_texts[action_show_projects]);
+  help.add (action_show_project_author, help_texts[action_show_project_author]);
   help.add (action_show_setup, help_texts[action_show_setup]);
   help.add (action_show_pwd, help_texts[action_show_pwd]);
Index: /CMT/HEAD/source/cmt_commands.h
===================================================================
--- /CMT/HEAD/source/cmt_commands.h	(revision 271)
+++ /CMT/HEAD/source/cmt_commands.h	(revision 272)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by garonne@lal.in2p3.fr
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_parser.cxx
===================================================================
--- /CMT/HEAD/source/cmt_parser.cxx	(revision 271)
+++ /CMT/HEAD/source/cmt_parser.cxx	(revision 272)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by garonne@lal.in2p3.fr
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
@@ -3400,4 +3401,19 @@
 
   cout << use.author << endl;
+  
+}
+//----------------------------------------------------------
+void Cmt::do_show_project_author (const ArgParser& /*ap*/)
+{
+  cmt_string cmtpath;
+  cmt_string offset;
+  cmt_string pauthor = "";
+
+  Use& use = Use::current();    
+  use.get_cmtpath_and_offset (cmtpath, offset);
+  Project* p = Project::find_by_cmtpath (cmtpath);
+
+  cout <<p->get_author ()<<endl;
+
 }
 
@@ -5283,4 +5299,5 @@
     case action_show_patterns :
     case action_show_projects :
+    case action_show_project_author :
     case action_show_pwd :
     case action_show_setup :
@@ -5653,4 +5670,7 @@
 	case action_show_projects :
 	  do_show_projects (ap);
+	  break;
+	case action_show_project_author :
+	  do_show_project_author (ap);
 	  break;
 	case action_show_pwd :
Index: /CMT/HEAD/source/cmt_parser.h
===================================================================
--- /CMT/HEAD/source/cmt_parser.h	(revision 271)
+++ /CMT/HEAD/source/cmt_parser.h	(revision 272)
@@ -1,6 +1,6 @@
-
 //-----------------------------------------------------------
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by garonne@lal.in2p3.fr
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
@@ -85,4 +85,5 @@
   CommandPrivate,
   CommandProject,
+  CommandProjectAuthor,
   CommandPublic,
   CommandSet,
@@ -302,4 +303,5 @@
   action_show_patterns,
   action_show_projects,
+  action_show_project_author,
   action_show_setup,
   action_show_pwd,
Index: /CMT/HEAD/source/cmt_project.cxx
===================================================================
--- /CMT/HEAD/source/cmt_project.cxx	(revision 271)
+++ /CMT/HEAD/source/cmt_project.cxx	(revision 272)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by garonne@lal.in2p3.fr
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
@@ -261,4 +262,5 @@
   cmt_string release;
 
+
   //
   // Figure out if this is the current project
@@ -1165,5 +1167,5 @@
 
 //----------------------------------------------------------
-Project::Project () : m_name ("")
+Project::Project () : m_name (""), m_author("")
 {
   clear ();
@@ -2145,5 +2147,5 @@
   m_on_tag->mark ();
 }
-
+//-----------------------------------------------------------
 const cmt_string& StrategyDef::get_default_value () const
 {
@@ -2157,3 +2159,26 @@
     }
 }
-
+//-----------------------------------------------------------
+void Project::set_author (const cmt_string& name)
+{
+  cout<<"set_author"<<name<<endl;      
+  this->m_author = name;
+}
+//-----------------------------------------------------------
+const cmt_string& Project::get_author () const
+{
+  return (m_author);
+}
+//-----------------------------------------------------------
+void Project::project_author_action (const CmtSystem::cmt_string_vector& words)
+{
+  if (m_author != "") m_author += "\n";
+  for (int i = 1; i < words.size (); i++)
+    {
+      const cmt_string& w = words[i];
+      
+      if (i > 1) m_author += " ";
+      m_author += w;  
+    }
+}
+//-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_project.h
===================================================================
--- /CMT/HEAD/source/cmt_project.h	(revision 271)
+++ /CMT/HEAD/source/cmt_project.h	(revision 272)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by garonne@lal.in2p3.fr
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
@@ -175,7 +176,11 @@
   void update_strategy_from_children (StrategyDef* definition);
   void update_strategies_from_children ();
-
+  void set_author (const cmt_string& name);
+  const cmt_string& get_author () const;
+  void project_author_action (const CmtSystem::cmt_string_vector& words);
+  // bool get_author (const cmt_string& name) const;
+  
   void visit (IProjectVisitor& visitor);
-
+  
 private:
 
@@ -183,4 +188,5 @@
 
   cmt_string m_name;
+  cmt_string m_author;
   cmt_string m_release;
   cmt_string m_container;
Index: /CMT/HEAD/source/cmt_syntax.cxx
===================================================================
--- /CMT/HEAD/source/cmt_syntax.cxx	(revision 271)
+++ /CMT/HEAD/source/cmt_syntax.cxx	(revision 272)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by garonne@lal.in2p3.fr
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
@@ -18,10 +19,9 @@
 #include "cmt_cmtpath_pattern.h"
 
-void Kwd::action (const CmtSystem::cmt_string_vector& words,
-		  Project* project,
-		  const cmt_string& file_name,
-		  int line_number)
-{
-}
+/*void Kwd::action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+{}*/
 
 class KwdAction : public Kwd
@@ -35,4 +35,9 @@
     Symbol::action (words, CommandAction, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -47,4 +52,10 @@
     Symbol::action (words, CommandAlias, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
 };
 
@@ -62,4 +73,10 @@
       }
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
 };
 
@@ -74,4 +91,10 @@
     ApplyPattern::action (words, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
 };
 
@@ -86,6 +109,13 @@
     Tag::action_apply (words, use);
   }
-};
-
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
+};
+
+//----------------------------------------------------------
 class KwdAuthor : public Kwd
 {
@@ -97,6 +127,17 @@
   {
     use->author_action (words);
-  }
-};
+
+  }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {
+      cmt_string author;
+      project->project_author_action (words);
+  }
+};
+//----------------------------------------------------------
+
 
 class KwdBranches : public Kwd
@@ -113,4 +154,10 @@
       }
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
 };
 
@@ -223,4 +270,9 @@
     Symbol::action (words, CommandCleanupScript, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -235,4 +287,10 @@
     CmtPathPattern::action (words, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
 };
 
@@ -269,4 +327,10 @@
       }
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
 };
 
@@ -284,4 +348,9 @@
       }
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -299,4 +368,9 @@
       }
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -311,4 +385,10 @@
     IgnorePattern::action (words, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
 };
 
@@ -323,4 +403,10 @@
     Include::action (words, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
 };
 
@@ -338,4 +424,10 @@
       }
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
 };
 
@@ -350,4 +442,10 @@
     Language::action (words);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
 };
 
@@ -365,4 +463,9 @@
       }
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -377,4 +480,9 @@
     Symbol::action (words, CommandMacro, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -389,4 +497,9 @@
     Symbol::action (words, CommandMacroPrepend, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -401,4 +514,9 @@
     Symbol::action (words, CommandMacroAppend, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -413,4 +531,9 @@
     Symbol::action (words, CommandMacroRemove, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -425,4 +548,9 @@
     Symbol::action (words, CommandMacroRemoveRegexp, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -437,4 +565,9 @@
     Symbol::action (words, CommandMacroRemoveAll, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -449,4 +582,9 @@
     Symbol::action (words, CommandMacroRemoveAllRegexp, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -461,4 +599,9 @@
     Fragment::action (words, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -473,4 +616,9 @@
     use->manager_action (words);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -516,4 +664,9 @@
     */
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -528,4 +681,10 @@
     Symbol::action (words, CommandPath, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+
 };
 
@@ -540,4 +699,9 @@
     Symbol::action (words, CommandPathAppend, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -552,6 +716,11 @@
     Symbol::action (words, CommandPathPrepend, use);
   }
-};
-
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
+};
+  
 class KwdPathRemove : public Kwd
 {
@@ -564,4 +733,9 @@
     Symbol::action (words, CommandPathRemove, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}  
 };
 
@@ -576,4 +750,9 @@
     Symbol::action (words, CommandPathRemoveRegexp, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}  
 };
 
@@ -588,4 +767,9 @@
     Pattern::action (words, use);
   }
+   void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}   
 };
 
@@ -603,4 +787,9 @@
       }
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}  
 };
 
@@ -620,5 +809,5 @@
 	       int line_number)
   {
-  }
+  } 
 };
 
@@ -636,4 +825,9 @@
       }
   }
+   void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}   
 };
 
@@ -648,4 +842,9 @@
     Symbol::action (words, CommandSet, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}    
 };
 
@@ -660,4 +859,9 @@
     Symbol::action (words, CommandSetAppend, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}    
 };
 
@@ -672,4 +876,9 @@
     Symbol::action (words, CommandSetPrepend, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}    
 };
 
@@ -684,4 +893,9 @@
     Symbol::action (words, CommandSetRemove, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}    
 };
 
@@ -696,4 +910,9 @@
     Symbol::action (words, CommandSetRemoveRegexp, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}  
 };
 
@@ -709,4 +928,9 @@
     Symbol::action (words, CommandSetupScript, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -911,4 +1135,9 @@
     Tag::action (words, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}  
 };
 
@@ -923,4 +1152,9 @@
     Tag::action_exclude (words, use);
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}  
 };
 
@@ -956,4 +1190,9 @@
       " sets obsolescent version strategy" << endl;
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -967,4 +1206,9 @@
   {
   }
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -989,4 +1233,10 @@
     CmtError::set (CmtError::syntax_error, "ParseRequirements> ");
   }
+  
+  void action (const CmtSystem::cmt_string_vector& words,
+		  Project* project,
+		  const cmt_string& file_name,
+		  int line_number)
+  {}
 };
 
@@ -1171,5 +1421,5 @@
   m_keywords.add ("version", new KwdVersion ());
 
-  m_project_keywords.add ("author", new KwdAuthor ());
+  m_project_keywords.add ("author", new KwdAuthor());
   m_project_keywords.add ("build_strategy", new KwdBuildStrategy ());
   m_project_keywords.add ("container", new KwdContainer ());
Index: /CMT/HEAD/source/cmt_syntax.h
===================================================================
--- /CMT/HEAD/source/cmt_syntax.h	(revision 271)
+++ /CMT/HEAD/source/cmt_syntax.h	(revision 272)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by garonne@lal.in2p3.fr
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
@@ -25,5 +26,5 @@
 		       Project* project,
 		       const cmt_string& file_name,
-		       int line_number);
+		       int line_number) = 0;
 };
 
Index: /CMT/HEAD/source/cmt_use.cxx
===================================================================
--- /CMT/HEAD/source/cmt_use.cxx	(revision 271)
+++ /CMT/HEAD/source/cmt_use.cxx	(revision 272)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by garonne@lal.in2p3.fr
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
@@ -909,5 +910,4 @@
     }
 }
-
 //----------------------------------------------------------
 void Use::manager_action (const CmtSystem::cmt_string_vector& words)
Index: /CMT/HEAD/source/cmt_use.h
===================================================================
--- /CMT/HEAD/source/cmt_use.h	(revision 271)
+++ /CMT/HEAD/source/cmt_use.h	(revision 272)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by garonne@lal.in2p3.fr
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/src/setup.tcsh
===================================================================
--- /CMT/HEAD/src/setup.tcsh	(revision 271)
+++ /CMT/HEAD/src/setup.tcsh	(revision 272)
@@ -2,4 +2,5 @@
 # Copyright Christian Arnault LAL-Orsay CNRS
 # arnault@lal.in2p3.fr
+# modified by garonne@lal.in2p3.fr
 # See the complete license in cmt_license.txt "http://www.cecill.info". 
 #-----------------------------------------------------------
@@ -7,5 +8,5 @@
 complete cmt p/1/'(broadcast build check check_files checkout co cleanup config create expand filter help lock relocate remove run setup show system unlock version cvstags cvsbranches cvssubpackages cvssubprojects)'/ \
  n/build/'(CMT_pacman constituent_makefile constituents_makefile dependencies library_links make_setup msdev os9_makefile prototype readme tag_makefile temporary_name triggers win_makefile)'/ \
- n/show/'(action action_names action_value actions all_tags applied_patterns author branches clients cmtpath_patterns constituent constituent_names constituents cycles fragment fragments groups include_dirs language languages macro macro_names macro_value macros manager packages path pattern patterns projects pwd set set_names set_value sets strategies tags use_paths uses versions)'/ \
+ n/show/'(action action_names action_value actions all_tags applied_patterns author branches clients cmtpath_patterns constituent constituent_names constituents cycles fragment fragments groups include_dirs language languages macro macro_names macro_value macros manager packages path pattern patterns projects project_author pwd set set_names set_value sets strategies tags use_paths uses versions)'/ \
  n/check/'(configuration files version)'/ \
  n/expand/'(model)'/ \
@@ -24,4 +25,2 @@
  n/co/'(-l,-R,-r,-d,-o,-requirements)'/ \
  n/checkout/'(-l,-R,-r,-d,-o,-requirements)'/
-
-
Index: /CMT/HEAD/src/setup.zsh
===================================================================
--- /CMT/HEAD/src/setup.zsh	(revision 271)
+++ /CMT/HEAD/src/setup.zsh	(revision 272)
@@ -2,4 +2,5 @@
 # Copyright Christian Arnault LAL-Orsay CNRS
 # arnault@lal.in2p3.fr
+# Modified by garonne@lal.in2p3.fr
 # See the complete license in cmt_license.txt "http://www.cecill.info". 
 #-----------------------------------------------------------
@@ -25,5 +26,5 @@
    'w[1,remove] p[3]' -X '> give version tag' - \
    'w[1,remove] p[4]' -X '> give a path if not located from the current path ' - \
-   's[show],c[-1,show]' -k '(action,action_names,action_value,actions,all_tags,applied_patterns,author,branches,clients,cmtpath_patterns,constituent,constituent_names,constituents,cycles,fragment,fragments,groups,include_dirs,language,languages,macro,macro_names,macro_value,macros,manager,packages,path,pattern,patterns,projects,pwd,set,set_names,set_value,sets,strategies,tags,use_paths,uses,versions)' - \
+   's[show],c[-1,show]' -k '(action,action_names,action_value,actions,all_tags,applied_patterns,author,branches,clients,cmtpath_patterns,constituent,constituent_names,constituents,cycles,fragment,fragments,groups,include_dirs,language,languages,macro,macro_names,macro_value,macros,manager,packages,path,pattern,patterns,projects,project_author,pwd,set,set_names,set_value,sets,strategies,tags,use_paths,uses,versions)' - \
    'w[1,show] c[-1,constituent]' -K cmt_constituents - \
    'w[1,show] c[-1,fragment]' -K cmt_fragments - \