Index: /CMT/v1r19/doc/CMTDoc.html
===================================================================
--- /CMT/v1r19/doc/CMTDoc.html	(revision 303)
+++ /CMT/v1r19/doc/CMTDoc.html	(revision 304)
@@ -19,8 +19,8 @@
 <h1><center>CMT</center>
 <center>Configuration Management Tool</center></h1>
-<h2><center>Version v1r18p20051101</center>
+<h2><center>Version v1r19</center>
 <center>Christian Arnault</center>
 <center><tt>arnault@lal.in2p3.fr</tt></center></h2>
-<center><i>Document revision date : 2005-10-30</i></center><hr><h2><a href="#index">General index</a></h2>
+<center><i>Document revision date : 2006-11-09</i></center><hr><h2><a href="#index">General index</a></h2>
 <hr><h2><a name="Presentation"></a><a href="#index"><tt>&nbsp;1</tt></a> - Presentation</h2>
 <blockquote>
@@ -471,5 +471,5 @@
            strategies to different sub-projects. The strategy
            specifications may appear in requirements file of any package
-       of a project or in the <tt>cmt/project.cmt</tt>
+           of a project or in the <tt>cmt/project.cmt</tt>
      project file.
       <p>By default a project inherits the strategies of its
@@ -847,13 +847,13 @@
     utilities, using for example the shell command: </p>
 <pre>
-csh&gt; source /lal/CMT/v1r18p20051101/mgr/setup.csh
+csh&gt; source /lal/CMT/v1r19/mgr/setup.csh
 
 or 
 
-ksh&gt; . /lal/CMT/v1r18p20051101/mgr/setup.sh
+ksh&gt; . /lal/CMT/v1r19/mgr/setup.sh
 
 or 
 
-dos&gt; call \lal\CMT\v1r18p20051101\mgr\setup.bat</pre>
+dos&gt; call \lal\CMT\v1r19\mgr\setup.bat</pre>
   <p>Obviously, this operation <i>must</i>
    be performed (once)
@@ -897,5 +897,5 @@
 <i><font COLOR="#000077" face="courier new, courier">------------------------------------------
 Configuring environment for project Dev
-CMT version v1r18p20051101.
+CMT version v1r19.
 ------------------------------------------
 Installing the cmt directory
@@ -921,5 +921,5 @@
 <i><font COLOR="#000077" face="courier new, courier">------------------------------------------
 Configuring environment for package Foo version v1.
-CMT version v1r18p20051101.                              [1]
+CMT version v1r19.                              [1]
 Root set to /home/arnault/Dev.
 System is Linux-i686                                     [2]
@@ -957,5 +957,5 @@
 <i><font COLOR="#007700" face="courier new, courier">------------------------------------------
 Configuring environment for package Foo version v1.
-CMT version v1r18p20051101.
+CMT version v1r19.
 Root set to /ProjectB.
 System is Linux-i686
@@ -1052,5 +1052,5 @@
 <i><font COLOR="#000077" face="courier new, courier">------------------------------------------
 Removing package Foo version v1.
-CMT version v1r18p20051101.
+CMT version v1r19.
 Root set to /home/arnault/mydev.
 System is Linux-i686
@@ -1062,5 +1062,5 @@
 <i><font COLOR="#000077" face="courier new, courier">------------------------------------------
 Removing package Foo version v1.
-CMT version v1r18p20051101.
+CMT version v1r19.
 Root set to /ProjectB.
 System is Linux-i686
@@ -1210,5 +1210,5 @@
 </ol>
     The packages are searched assuming that the directory hierarchy
-below the access paths always follow the convention :
+    below the access paths always follow the convention :
   <ol>
     <li> there is a first directory level exactly named according to
@@ -1309,5 +1309,5 @@
   <li>policies for external software organisation</li>
 </ul>
-  Then the global policy package will use them
+      Then the global policy package will use them
 </blockquote>
 <hr><h3><a name="The container or management package"></a><a href="#index"><tt>&nbsp;7.&nbsp;3</tt></a> - The container or management package</h3>
@@ -1627,5 +1627,5 @@
         <li>The current minor version id of CMT is a valid tag and
         	takes the form <tt>CMTr&lt;n&gt;</tt>
-         (eg. <tt>CMTr18</tt>
+         (eg. <tt>CMTr19</tt>
       )</li>
         <li>The current patch id of CMT is a valid tag and takes the
@@ -1688,5 +1688,5 @@
     </a>
     , a specific context is
-       created, which is materialized with a dedicated tag named
+            created, which is materialized with a dedicated tag named
     <tt>target_&lt;action&gt;</tt>
     , very similarly to the target
@@ -1721,5 +1721,5 @@
 &gt; cmt show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)                                                   [1]
-CMTr18 (from CMTVERSION) package CMT implies [CMTr14]                     [1]
+CMTr19 (from CMTVERSION) package CMT implies [CMTr14]                     [1]
 CMTp20040701 (from CMTVERSION)                                            [1]
 Linux (from uname) package CMT implies [Unix]                             [2]
@@ -1874,5 +1874,5 @@
 &gt; cmt show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)
-CMTr18 (from CMTVERSION)
+CMTr19 (from CMTVERSION)
 CMTp0 (from CMTVERSION)
 Linux (from uname)
@@ -1889,5 +1889,5 @@
 &gt; cmt show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)
-CMTr18 (from CMTVERSION)
+CMTr19 (from CMTVERSION)
 CMTp0 (from CMTVERSION)
 Linux (from uname) package Foo implies [foo]
@@ -1906,5 +1906,5 @@
 &gt; cmt show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)
-CMTr18 (from CMTVERSION)
+CMTr19 (from CMTVERSION)
 CMTp0 (from CMTVERSION)
 Linux (from uname)
@@ -1922,5 +1922,5 @@
 &gt; cmt show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)
-CMTr18 (from CMTVERSION)
+CMTr19 (from CMTVERSION)
 CMTp0 (from CMTVERSION)
 Linux (from uname)
@@ -1931,5 +1931,5 @@
 &gt; cmt -tag_add=tag1,tag2,tag3 show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)
-CMTr18 (from CMTVERSION)
+CMTr19 (from CMTVERSION)
 CMTp0 (from CMTVERSION)
 Linux (from uname)
@@ -2120,5 +2120,5 @@
         development. Then we create a <tt>FooTest.cxx</tt>
    source, and
-     generate the associated makefile (specifying that it will be an
+        generate the associated makefile (specifying that it will be an
       executable instead of a library) : </p>
 <pre>
@@ -2280,5 +2280,5 @@
   <p>The main concept of this framework is that each document to be
       generated or manipulated must be associated with a "document-type"
-      (also sometimes named "document-style"), which corresponds to a
+     (also sometimes named "document-style"), which corresponds to a
       dedicated make fragment of that name. Then, when specified in a
   <tt>document</tt>
@@ -2678,5 +2678,5 @@
                       by space characters).</p>
       <p>Each statement is composed of words separated with spaces
-                      or tabulations.</p>
+                     or tabulations.</p>
       <p>The first word of a statement is the name of the
                       configuration parameter.</p>
@@ -3003,5 +3003,5 @@
       =<tt>variable-value</tt>
        (without
-                        any space characters around the <tt><tt>"="</tt>
+                        any space characters around the<tt><tt>"="</tt>
       </tt>
                     character), such as in the next example:</p>
@@ -4056,6 +4056,6 @@
             </td>
               <td width="500">C source files will
-                                      automatically produce a header file containing
-                               a prototype of all global entry points</td>
+                          automatically produce a header file containing
+                                    a prototype of all global entry points</td>
           </tr>
             <tr>
@@ -4206,7 +4206,7 @@
                     include search path of <tt>../src</tt>
        will then simply
-                    disappear, and the <tt>include_path</tt>
+            disappear, and the <tt>include_path</tt>
        statement will
-                  become meaningless. When this happens, include search
+                    become meaningless. When this happens, include search
                     paths will always have to be explicitly specified using the
       <tt>include_dirs</tt>
@@ -4570,4 +4570,5 @@
    load
    lock [&lt;p&gt; &lt;v&gt; [&lt;path&gt;]] : lock a package
+   relocate                  : generate setup and cleanup scripts (without makefiles)
    remove &lt;package&gt; &lt;version&gt; [&lt;path&gt;] : remove a package version
    remove library_links    : remove symbolic links towards all imported libraries
@@ -4793,5 +4794,5 @@
  command, ie all <tt>CMT</tt>
  packages
-        and versions available through the current <tt>CMTPATH</tt>
+            and versions available through the current <tt>CMTPATH</tt>
  list.
   <p>Typical uses of this <i>broadcast</i>
@@ -4967,5 +4968,5 @@
        option (which must precede the
                         command) provides exactly the same features but in a
-                        Windows/nmake context. In this case, all generated
+        Windows/nmake context. In this case, all generated
                         makefiles are suffixed by <tt>.nmake</tt>
        instead of
@@ -5010,5 +5011,5 @@
        statements found in
                       the source files. However it's also possible to make
-                      plain use of the standard mechanisms provided by some
+               plain use of the standard mechanisms provided by some
                       standard tools like <tt>cpp -M</tt>
       . In this case, it
@@ -5289,5 +5290,5 @@
 <pre>
 &gt; cmt expand model "abcd $(CMTVERSION) efgh"
-<i><font COLOR="#000077" face="courier new, courier">abcd v1r18p20051101 efgh</font></i></pre>
+<i><font COLOR="#000077" face="courier new, courier">abcd v1r19 efgh</font></i></pre>
   </li>
     <li><i>Recursively</i>
@@ -5627,5 +5628,5 @@
       <tt>action_value &lt;name&gt;</tt>
         <p>This set of commands displays the raw value
-                    assigned to the symbol (macro, set or action)
+                        assigned to the symbol (macro, set or action)
                         specified as the additional argument. It only presents
                         the final result of the assignment operations
@@ -5716,5 +5717,5 @@
     <li><tt>projects</tt>
       <p>This command displays the current knowledge of
-                      sub-project definitions and settings. It shows the
+             sub-project definitions and settings. It shows the
                       project names and their location (ie the corresponding
                       item in <tt>CMTPATH</tt>
@@ -5777,5 +5778,5 @@
 #
 # Selection :                                    [4]
-use CMT v1r18p20051101 (/afs/cern.ch/sw/contrib)
+use CMT v1r19 (/afs/cern.ch/sw/contrib)
 use ExternalLibs v4r2p0  (/afs/cern.ch/atlas/offline/external/Gaudi/0.12.1.5)    [5]
 use CLHEP v2r1820p0  (/afs/cern.ch/atlas/offline/external/Gaudi/0.12.1.5)
@@ -6353,5 +6354,5 @@
   <tt>OPACS</tt>
    package would have just to provide a use 
-          statement like : </p>
+  statement like : </p>
 <pre class="cmt">
 use OPACS v3 </pre>
@@ -6671,6 +6672,6 @@
 csh&gt; cd /Packages 
 csh&gt; &lt;get the tar file from the Web&gt; 
-csh&gt; tar xzf CMTv1r18p20051101.tar.gz 
-csh&gt; cd CMT/v1r18p20051101/mgr 
+csh&gt; tar xzf CMTv1r19.tar.gz 
+csh&gt; cd CMT/v1r19/mgr 
 csh&gt; ./INSTALL 
 csh&gt; source setup.csh 
@@ -6708,5 +6709,5 @@
      will
                 contain the current version tag of <tt>CMT</tt>
-                (<tt>"v1r18p20051101"</tt>
+                (<tt>"v1r19"</tt>
    for this version). </li>
     <li><tt>HKEY_LOCAL_MACHINE/Software/CMT/path/</tt>
@@ -6730,5 +6731,5 @@
 dos&gt; cd Packages 
 dos&gt; &lt;get the tar file from the Web&gt; 
-dos&gt; cd CMT\v1r18p20051101\mgr 
+dos&gt; cd CMT\v1r19\mgr 
 dos&gt; call INSTALL 
 dos&gt; call setup.bat
@@ -6880,5 +6881,5 @@
       </td>
       <td>gives the current release number of CMT</td>
-        <td><tt>18</tt>
+        <td><tt>19</tt>
       </td>
     </tr>
@@ -6887,5 +6888,5 @@
       </td>
       <td>gives the current complete version tag of CMT</td>
-        <td><tt>v1r18p20051101</tt>
+        <td><tt>v1r19</tt>
       </td>
     </tr>
@@ -10513,5 +10514,5 @@
     <tt>cmt_buildcvsinfos2.sh</tt>
     , which simply receives in its
-     argument the module name onto which we need information. This
+          argument the module name onto which we need information. This
           information is obtained by scanning the files into the
           repository, and an answer is built with the following syntax:
Index: /CMT/v1r19/doc/CMTDoc.xml
===================================================================
--- /CMT/v1r19/doc/CMTDoc.xml	(revision 303)
+++ /CMT/v1r19/doc/CMTDoc.xml	(revision 304)
@@ -2,9 +2,9 @@
 <!DOCTYPE CMT [ 
   <!ENTITY nbsp "&nbsp;">
-  <!ENTITY CMTrelease "18">
-  <!ENTITY CMTVersion "v1r18p20060606">
+  <!ENTITY CMTrelease "19">
+  <!ENTITY CMTVersion "v1r19">
   <!ENTITY CMTvTag "CMTv1">
-  <!ENTITY CMTrTag "CMTr18">
-  <!ENTITY CMTpTag "CMTp20060606">
+  <!ENTITY CMTrTag "CMTr19">
+  <!ENTITY CMTpTag "CMTp">
   <!ENTITY CMTrequirements "&nbsp;<a HREF='#The requirements file'>requirements</a>&nbsp;">
 ]>  
Index: /CMT/v1r19/doc/CMTDownload.html
===================================================================
--- /CMT/v1r19/doc/CMTDownload.html	(revision 304)
+++ /CMT/v1r19/doc/CMTDownload.html	(revision 304)
@@ -0,0 +1,78 @@
+<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
+<html><head><!--
+//-----------------------------------------------------------
+// Copyright Christian Arnault LAL-Orsay CNRS
+// arnault@lal.in2p3.fr
+// See the complete license in cmt_license.txt "http://www.cecill.info". 
+//-----------------------------------------------------------
+--><title>CMTDownload</title><!-- Changed by: Christian Arnault, 10-Apr-2002 --><!-- phpmyvisites -->
+        
+
+<script type="text/javascript">
+<!--
+var a_vars = Array();
+var pagename='';
+
+var phpmyvisitesSite = 1;
+var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
+//-->
+</script><script language="javascript" src="CMTDownload_fichiers/phpmyvisites.js" type="text/javascript"></script></head><body alink="#007777" bgcolor="#ffffff" link="#550088"><a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics" onclick="window.open(this.href);return(false);">
+
+<img src="CMTDownload_fichiers/phpmyvisites.gif" alt="phpMyVisites" style="border: 0pt none ;">
+
+<noscript>
+<p>phpMyVisites | Open source web analytics
+<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
+</p>
+</noscript>
+</a>
+<!-- /phpmyvisites -->
+
+  
+    <h1>CMTDownload</h1>
+
+      <blockquote>
+
+        <i>You should first download the source kit of CMT, and this kit is
+      complete for a local rebuild. In addition, it is optionally
+      possible to obtain some prebuilt binaries for some platforms
+      (note that any binary kit also requires to first download the
+      source kit for a proper installation of CMT):
+        </i>
+      </blockquote>
+
+      <center>
+	<table border="1" cols="1">
+
+<tbody><tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19.tar.gz">Source kit</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19OSF1-alpha.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19OSF1-alpha.tar.gz">OSF1-alpha</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19Linux-i686.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19Linux-i686.tar.gz">Linux-i686</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19Linux-x86_64.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19Linux-x86_64.tar.gz">Linux-x86_64</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19Linux-ia64.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19Linux-ia64.tar.gz">Linux-ia64</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/v1r19/CMTv1r19SunOS-sun4u.tar.gz">SunOS-sun4u</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/v1r19/CMTv1r19AIX-002064874C00.tar.gz">AIX-002064874C00</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19VisualC.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19VisualC.tar.gz">VisualC</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/v1r19/CMTv1r19CYGWIN_NT-5.1-i686.tar.gz">CYGWIN_NT-5.1-i686</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19Darwin-PowerMacintosh.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19Darwin-PowerMacintosh.tar.gz">Darwin-PowerMacintosh</a> </td></tr>
+
+
+<!--
+//-----------------------------------------------------------
+// Copyright Christian Arnault LAL-Orsay CNRS
+// arnault@lal.in2p3.fr
+// See the complete license in cmt_license.txt "http://www.cecill.info". 
+//-----------------------------------------------------------
+-->
+
+
+	</tbody></table>
+      </center>
+
+
+    <hr>
+    <address><a href="mailto:garonne@lal.in2p3.fr">vincent Garonne</a></address>
+    <!-- Created: Thu Feb  3 15:55:09 MET 2000 -->
+    <!-- hhmts start -->
+Last modified: Wed Nov 22 15:55:11 CEST 2006
+<!-- hhmts end -->
+  </body></html>
Index: /CMT/v1r19/doc/ReleaseNotes.html
===================================================================
--- /CMT/v1r19/doc/ReleaseNotes.html	(revision 303)
+++ /CMT/v1r19/doc/ReleaseNotes.html	(revision 304)
@@ -45,4 +45,34 @@
 
  <li>
+        <b>v1r19</b>
+	<ul>    
+    <li class="new">Add support for wildcarded project dependencies which Allow CMTPROJECTPATH overrides, e.g.: use project v*.</li>
+    <li class="new">Support for the author keyword at the project level and the corresponding command is <tt>cmt show project_author</tt>
+    to obtain it from command line.</li>
+    <li class="new">Extend the strategy syntax for supporting variable, e.g.:
+    <pre>
+        macro use_strategy "without_installarea" \
+                   ATLAS "with_installarea"
+
+        build_strategy $(use_strategy)
+    </pre>
+    </li>
+    <li class="new">Add a option to bypass the <tt>cmt config</tt> step after the cvs checkout: <tt>cmt co -no_config ...</tt>.</li>
+	<li class="new">Add a new traversal mode for the cmtpath_pattern: <tt>cmtpath_pattern_revert</tt>. This is for constructing macro from current 
+	project to projects used (Atlas's request).</li>	
+	<li class="bug">Disable warning about tags,e.g. CMTSITE. To re-enable them you should use cmt with the <tt>-warnings</tt> option.</li>	
+	<li class="int">Introduce the pre-compiler __APPLE__ macro for removing compilation warnings.</li>
+  
+	</ul>
+ </li>
+ 
+<li>
+        <b>v1r18p20061003</b>
+	<ul>
+        <li class="bug">Correct problem with long word during compilation which reach make limit(Atlas's request).</li>
+	</ul>
+ </li>
+	
+ <li>
         <b>v1r18p20060606</b>
 	<ul>