Index: atlas/presentations/12-13-2006-CMT_sit.tex
===================================================================
--- atlas/presentations/12-13-2006-CMT_sit.tex	(revision 340)
+++ atlas/presentations/12-13-2006-CMT_sit.tex	(revision 340)
@@ -0,0 +1,197 @@
+\documentclass [compress, t]{beamer}
+\usepackage{styles/beamerthemeMarseille}
+\usepackage[latin1]{inputenc}
+\usepackage{epsfig}
+\usepackage{graphicx}
+\usepackage{graphics}
+\usepackage{subfigure}
+\usepackage{color}
+\usepackage{algorithmic}
+\usepackage{algorithm}
+\usepackage{pgfarrows, pgfnodes}
+\usepackage{url}
+\usepackage{textcomp}
+\usepackage{url}\urlstyle{sf}
+\usepackage{xspace} 
+\usepackage{listings}
+
+% Beamer Options
+\setbeamercovered{dynamic}
+\setbeamertemplate{blocks}[rounded][shadow=true]
+\setbeamertemplate{background canvas}[vertical shading][bottom=white,top=structure.fg!20]
+
+%%%% macros %%%%
+
+% Macros
+\newcommand{\cmt}    {{\em CMT}\@\xspace}%
+\newcommand{\svn}    {{\em SVN}\@\xspace}%
+\newcommand{\cvs}    {{\em CVS}\@\xspace}%
+
+\setbeamercovered{dynamic}
+
+
+\definecolor{rltgreen}{rgb}{0,0.5,0}
+\pgfdeclareimage[height=1.1cm]{LogoLAL}{logos/logoLAL50ansgrand}
+\logo{ \pgfuseimage{LogoLAL} }
+
+\title{CMT: v1r19/v1r20, \\ Atlas SW/SIT meeting}
+\author{Vincent Garonne\\
+garonne@lal.in2p3.fr}
+\institute{Laboratoire de l'Accélérateur Linéaire}
+\date {December 13, 2006} % \today
+
+\begin{document}
+
+% Transparent: Première page 
+\begin{frame}
+\maketitle
+%\textcolor{gray}{\it \scriptsize }
+\end{frame}
+
+\section*{Outline}
+\frame
+{
+% \frametitle{Outline}
+ \vfill
+   \begin{block}{Outline}
+ \tableofcontents[hideallsubsections]
+ \end{block}
+}
+
+%------------------------------- SECTION -------------------------%
+\section[\cmt]{\cmt news, feedbacks and futur improvements}
+%---- Slide 1 -----%
+\frame{
+\setbeamertemplate{blocks}[default]
+\vfill \hfill
+\begin{block}{\begin{center} \large CMT news \end{center}}
+\end{block}
+}
+
+%\subsection{The new v1r18p20060301 release}
+
+%---- Slide 1 -----%
+\frame 
+{
+ \frametitle{\cmt news (1)}
+    
+ \begin{block}{New \cmt release (version v1r18p20060301) }
+    No major improvements but fixed several problems with the existing  
+      CMT versions, including:
+     \begin{itemize}
+          \item Non-existent directories are no longer removed from search paths   
+          \item Add new warning messages in relation with setup checking which are 
+                explicitly called with the \texttt{--warnings option}
+          \item The run-time environment for a release can be setup by specifying  
+          the "runtime" during setup command, e.g.: \\                 
+         \texttt{> source $\sim$/cmthome/setup.sh -tag=11.0.4,runtime}   
+         \item New version of the AtlasSettings package (backwards compatible) 
+       \end{itemize}
+\end{block}
+}
+
+%---- Slide 2 -----%
+\frame 
+{
+ \frametitle{\cmt news (2)} 
+ \begin{block}{New \cmt release (version v1r18p20060301)}
+\begin{itemize}
+         \item Change the internal system for setting environment variables in a proper way
+          \item Better support of the (non-)version-directory mode in severals cases:
+          \begin{itemize} 
+                \setbeamertemplate{itemize items}[circle]
+                 \item  Option to force package version directories to be created when using 
+                            "\texttt{cmt co}":\\ 
+                            \texttt{set CMTSTRUCTURINGSTYLE "with\_version\_directory"}            
+                  \item Resp. \texttt{"without\_version\_directory"} force a package version  directory not 
+            to be created.
+      \end{itemize}      
+     \item See Changelog~\cite{cmt_changelog} for more informations
+\end{itemize}
+\end{block}
+}
+
+%---- Slide 3 -----%
+\frame 
+{
+ \frametitle{\cmt feedbacks}
+
+  \begin{block}{Reports}
+     \begin{itemize}  
+          \item Tested on the nightlies with "no" problems except
+          \begin{itemize} 
+                \setbeamertemplate{itemize items}[circle]
+                \item Should understand the problem of eternal loop 
+                          encountered with dictionaries ...
+          \end{itemize}    
+           \item Should be the `stable' v1r18 in the futur
+           \item Problems encountered with the cmtcvs plugin in the way cvs tags are printed :
+          \begin{itemize} 
+                \setbeamertemplate{itemize items}[circle]
+                \item Thanks to D. Chamont, this is fixed and should 
+                           be available for the next plugin release
+          \end{itemize}    
+     \end{itemize}
+\end{block}
+}
+
+\frame 
+{
+ \frametitle{\cmt Future}          
+  \begin{block}{Future improvements planned for the next \cmt release :}          
+          \begin{itemize} 
+                \setbeamertemplate{itemize items}[circle]
+                \item  Request for having a macro that reflects all active tags , i.d. 
+                           we should introduce a link between the macro and tag concepts
+                \item Improve the log message mechanism for message classification 
+                         within \cmt, e.g. "à la" Python's logging module~\cite{module_logging},
+                         Apache's logging module~\cite{log4cxx}
+          \end{itemize}
+\end{block}
+}
+%------------------------------- SECTION -------------------------%
+\section{Conclusion}
+
+%------------------------------- SLIDE -------------------------%
+\frame{
+\frametitle{Conclusion}
+
+\begin{block} {}
+\begin{itemize}
+\item All the necessary tools are in place to start using SVN in Atlas
+\begin{itemize}
+         \item Doing more tests to validate the atlas svn repository
+\end{itemize}
+\item Testing by real users, will help to tune, customize and improve these tools
+\begin{itemize}
+        \item We need friendly users !
+\end{itemize}
+\item After, we could define milestones for the all conversion
+\item We should clarify the migration policy
+\begin{itemize}
+        \item Management of the "CVSROOT/commitavail" file for each package
+        to guaranty synchronization between CVS and SVN repository
+\end{itemize}
+
+\item  Implementing the interface to SVN in Tag Collector, depends 
+          on TC team availability
+\item SVN should be installed at cern and supported by IT
+\end{itemize}
+\end{block} 
+
+}
+
+
+%------------------------------- SECTION -------------------------%
+\section{References}
+%------------------------------- FRAME-------------------------%
+\frame[allowframebreaks]
+{
+\frametitle{References}
+%\nocite{*}
+\bibliographystyle{unsrt}
+%\bibliography{CMT06-04-2006-sit}
+}
+
+\end{document}
+%------------------------------- End Of File -------------------------%