Index: atlas/presentations/12-13-2006-CMT_sit.tex
===================================================================
--- atlas/presentations/12-13-2006-CMT_sit.tex	(revision 340)
+++ atlas/presentations/12-13-2006-CMT_sit.tex	(revision 341)
@@ -30,10 +30,9 @@
 \setbeamercovered{dynamic}
 
-
 \definecolor{rltgreen}{rgb}{0,0.5,0}
 \pgfdeclareimage[height=1.1cm]{LogoLAL}{logos/logoLAL50ansgrand}
 \logo{ \pgfuseimage{LogoLAL} }
 
-\title{CMT: v1r19/v1r20, \\ Atlas SW/SIT meeting}
+\title{CMT news, \\ Atlas SW/SIT meeting}
 \author{Vincent Garonne\\
 garonne@lal.in2p3.fr}
@@ -60,33 +59,24 @@
 
 %------------------------------- SECTION -------------------------%
-\section[\cmt]{\cmt news, feedbacks and futur improvements}
+\section[summary]{Summary of the last months}
+
+%\subsection{The new v1r18p20060301 release}
+
 %---- Slide 1 -----%
-\frame{
-\setbeamertemplate{blocks}[default]
-\vfill \hfill
-\begin{block}{\begin{center} \large CMT news \end{center}}
-\end{block}
-}
-
-%\subsection{The new v1r18p20060301 release}
-
-%---- Slide 1 -----%
-\frame 
-{
- \frametitle{\cmt news (1)}
-    
- \begin{block}{New \cmt release (version v1r18p20060301) }
-    No major improvements but fixed several problems with the existing  
-      CMT versions, including:
+\frame 
+{
+ \frametitle{Release procedure}
+With the problem encountered of the shell env overflow, the tarball corruption 
+and its resulting bad effects in the atlas multi-grid production context, severals 
+actions have been done:
      \begin{itemize}
-          \item Non-existent directories are no longer removed from search paths   
-          \item Add new warning messages in relation with setup checking which are 
-                explicitly called with the \texttt{--warnings option}
-          \item The run-time environment for a release can be setup by specifying  
-          the "runtime" during setup command, e.g.: \\                 
-         \texttt{> source $\sim$/cmthome/setup.sh -tag=11.0.4,runtime}   
-         \item New version of the AtlasSettings package (backwards compatible) 
+          \item Enforce the procedure of putting a new cmt release into production
+          \item Add a module to validate the tarballs in the release procedure
+          \item Put more efforts on the release convention notation: 
+          \begin{itemize} 
+                \setbeamertemplate{itemize items}[circle]
+                \item  \texttt{v1r20-alphaY, v1r20-betaX, v1r20-Release Candidate Z, v1r20p01 , ...}
+          \end{itemize}
        \end{itemize}
-\end{block}
 }
 
@@ -94,92 +84,133 @@
 \frame 
 {
- \frametitle{\cmt news (2)} 
- \begin{block}{New \cmt release (version v1r18p20060301)}
-\begin{itemize}
-         \item Change the internal system for setting environment variables in a proper way
-          \item Better support of the (non-)version-directory mode in severals cases:
+ \frametitle{Feature requests}
+After an spontaneous and intensive CMT feature requests session 
+on hypernews~\cite{cmt_hypernews},  we have classified the items requested, 
+converted them into tickets~\cite{cmt_changelog} and assigned priorities :
+     \begin{itemize}
+          \item Very instructive (Thanks to all contributors)
+          \item For a complete list,  see~\cite{cmt_feature_requests}
+          \item To see the list of implemented items, see~\cite{cmt_done}
+       \end{itemize}
+Two categories :
+     \begin{enumerate}
+         \item Missing Features
+         \item Optimization of existing features, mainly concerning compilation
+       \end{enumerate}
+      We first focused on the the first category with the aim 
+       to provide a stable release for the LHC beginning.
+}
+
+\section[\cmt]{CMTpy - \cmt version v1r19/v1r20}
+
+%---- Slide 5 -----%
+\frame 
+{
+ \frametitle{CMT python wrapper}
+
+     \begin{itemize}  
+          \item The CMTpy(v1) package provides the official python wrapper for CMT. 
+           \item Already used by the AtlasDoxygen package
+           \item Contains probably not all functions but could be easily 
+                     extended if people are interested
+           \item For the moment, you can get it from SVN 
           \begin{itemize} 
                 \setbeamertemplate{itemize items}[circle]
-                 \item  Option to force package version directories to be created when using 
-                            "\texttt{cmt co}":\\ 
-                            \texttt{set CMTSTRUCTURINGSTYLE "with\_version\_directory"}            
-                  \item Resp. \texttt{"without\_version\_directory"} force a package version  directory not 
-            to be created.
-      \end{itemize}      
+                \item \url{http://svn.lal.in2p3.fr:/projects/CMT/}
+               \item Command: {\tiny \texttt{svn co https://svn.lal.in2p3.fr:/projects/CMT/CMTpy/v1 CMTpy}}
+                \item Svnview: {\tiny \url{http://svn.lal.in2p3.fr/WebSVN/CMT/CMTpy/v1/?rev=0&sc=0}}
+         \end{itemize}
+     \end{itemize}
+}
+
+%---- Slide 3 -----%
+\frame 
+{
+ \frametitle{New \cmt release (version v1r19)} 
+\begin{itemize}                         
+         \item Add support for wildcarded project dependencies which Allow 
+              CMTPROJECTPATH overrides, e.g.: \texttt{use project v*}
+
+        \item Support for the author keyword at the project
+                   level i.d., \texttt{cmt show project\_author}
+
+          \item New traversal mode for the cmtpath\_pattern: \texttt{cmtpath\_pattern\_revert}
+
+          \item Add an option to bypass the configuration step after the 
+                    cvs checkout (\texttt{-no\_config})
+
+          \item Extend the strategy syntax for supporting variable, e.g.:
+          \begin{itemize} 
+                \setbeamertemplate{itemize items}[circle]
+                 \item  \texttt{macro use\_strategy "without\_installarea" }\\ 
+                            \texttt{ATLAS "with\_installarea"}  \\
+                            \texttt{build\_strategy \$(use\_strategy)}
+           \end{itemize}      
+     \item Disable warning about unused tags, e.g. CMTSITE. Possibility to re-enable 
+them by the\texttt{-warnings} option.
      \item See Changelog~\cite{cmt_changelog} for more informations
 \end{itemize}
-\end{block}
-}
-
-%---- Slide 3 -----%
-\frame 
-{
- \frametitle{\cmt feedbacks}
-
-  \begin{block}{Reports}
-     \begin{itemize}  
-          \item Tested on the nightlies with "no" problems except
-          \begin{itemize} 
-                \setbeamertemplate{itemize items}[circle]
-                \item Should understand the problem of eternal loop 
-                          encountered with dictionaries ...
-          \end{itemize}    
-           \item Should be the `stable' v1r18 in the futur
-           \item Problems encountered with the cmtcvs plugin in the way cvs tags are printed :
-          \begin{itemize} 
-                \setbeamertemplate{itemize items}[circle]
-                \item Thanks to D. Chamont, this is fixed and should 
-                           be available for the next plugin release
-          \end{itemize}    
-     \end{itemize}
-\end{block}
-}
-
-\frame 
-{
- \frametitle{\cmt Future}          
-  \begin{block}{Future improvements planned for the next \cmt release :}          
-          \begin{itemize} 
-                \setbeamertemplate{itemize items}[circle]
-                \item  Request for having a macro that reflects all active tags , i.d. 
-                           we should introduce a link between the macro and tag concepts
-                \item Improve the log message mechanism for message classification 
-                         within \cmt, e.g. "à la" Python's logging module~\cite{module_logging},
-                         Apache's logging module~\cite{log4cxx}
-          \end{itemize}
-\end{block}
-}
-%------------------------------- SECTION -------------------------%
-\section{Conclusion}
-
-%------------------------------- SLIDE -------------------------%
-\frame{
-\frametitle{Conclusion}
-
-\begin{block} {}
-\begin{itemize}
-\item All the necessary tools are in place to start using SVN in Atlas
-\begin{itemize}
-         \item Doing more tests to validate the atlas svn repository
+}
+
+%---- Slide 4 -----%
+\frame 
+{
+ \frametitle{\cmt release v1r20} 
+Currently under trial nightlies tests by Atlas
+\begin{itemize}                         
+        \item Support for native\_version use statements  :
+        \begin{itemize}  
+                \setbeamertemplate{itemize items}[circle]                       
+                 \item \texttt{use Foo * -native\_version=1.2.3}
+          \end{itemize}
+
+          \item Extent cmt/project.cmt file syntax/grammar
+          \begin{itemize}                         
+                \setbeamertemplate{itemize items}[circle]
+                 \item Support tags,macros, build\_/setup\structure\_strategy
+          \end{itemize}
+          \item Tag/applied tag are now protected by private
+        \begin{itemize}  
+                \setbeamertemplate{itemize items}[circle]                       
+                 \item genconf pattern
+          \end{itemize}
+           \item Should be the `stable' version for LHC :
+        \begin{itemize}  
+                \setbeamertemplate{itemize items}[circle]                       
+                 \item Severals patches certainly still remind, e.g. missing dependencies
+          \end{itemize}
 \end{itemize}
-\item Testing by real users, will help to tune, customize and improve these tools
-\begin{itemize}
-        \item We need friendly users !
-\end{itemize}
-\item After, we could define milestones for the all conversion
-\item We should clarify the migration policy
-\begin{itemize}
-        \item Management of the "CVSROOT/commitavail" file for each package
-        to guaranty synchronization between CVS and SVN repository
-\end{itemize}
-
-\item  Implementing the interface to SVN in Tag Collector, depends 
-          on TC team availability
-\item SVN should be installed at cern and supported by IT
-\end{itemize}
-\end{block} 
-
-}
-
+}
+
+\section[future plans]{Future plans}
+\frame 
+{
+ \frametitle{Future plans}          
+  \begin{itemize}          
+                \item Optimization :
+                \begin{itemize} 
+                 \setbeamertemplate{itemize items}[circle]                
+                       \item compilation, cache vs.interpreted, xml, ...
+                \end{itemize}
+                \item Recent LCGAA announcement 
+                \begin{itemize} 
+                       \setbeamertemplate{itemize items}[circle]
+                 \item
+                 LCG Application Area Internal Review: 'As future support for SCRAM 
+                is uncertain, migration to CMT appears as a reasonable option; however, 
+                such a migration should carefully be carried out, involving the experiments.
+                LCGCMT needs further work [...] the implementation of this should be balanced 
+                against the additional workload it would entail.`
+                       \item Meeting between LCGAA and \cmt team for the end of January
+                       \item Feature requests = more people involved ?
+                \end{itemize}
+                \item Manpower issue :
+                \begin{itemize} 
+                       \setbeamertemplate{itemize items}[circle]
+                       \item actually: 1 FTE (Vincent) and $\epsilon$ (Christian)
+                       \item January: 0.5 FTE (Vincent) and $\epsilon$ (Christian)
+                \end{itemize}
+  \end{itemize}
+}
 
 %------------------------------- SECTION -------------------------%
@@ -191,5 +222,5 @@
 %\nocite{*}
 \bibliographystyle{unsrt}
-%\bibliography{CMT06-04-2006-sit}
+\bibliography{12-13-2006-CMT_sit}
 }
 