Index: /CMT/v1r20/doc/CMTDoc.html
===================================================================
--- /CMT/v1r20/doc/CMTDoc.html	(revision 368)
+++ /CMT/v1r20/doc/CMTDoc.html	(revision 369)
@@ -19,8 +19,8 @@
 <h1><center>CMT</center>
 <center>Configuration Management Tool</center></h1>
-<h2><center>Version v1r19</center>
+<h2><center>Version v1r20</center>
 <center>Christian Arnault</center>
 <center><tt>arnault@lal.in2p3.fr</tt></center></h2>
-<center><i>Document revision date : 2006-11-09</i></center><hr><h2><a href="#index">General index</a></h2>
+<center><i>Document revision date : 2007-02-02</i></center><hr><h2><a href="#index">General index</a></h2>
 <hr><h2><a name="Presentation"></a><a href="#index"><tt>&nbsp;1</tt></a> - Presentation</h2>
 <blockquote>
@@ -847,13 +847,13 @@
     utilities, using for example the shell command: </p>
 <pre>
-csh&gt; source /lal/CMT/v1r19/mgr/setup.csh
+csh&gt; source /lal/CMT/v1r20/mgr/setup.csh
 
 or 
 
-ksh&gt; . /lal/CMT/v1r19/mgr/setup.sh
+ksh&gt; . /lal/CMT/v1r20/mgr/setup.sh
 
 or 
 
-dos&gt; call \lal\CMT\v1r19\mgr\setup.bat</pre>
+dos&gt; call \lal\CMT\v1r20\mgr\setup.bat</pre>
   <p>Obviously, this operation <i>must</i>
    be performed (once)
@@ -897,5 +897,5 @@
 <i><font COLOR="#000077" face="courier new, courier">------------------------------------------
 Configuring environment for project Dev
-CMT version v1r19.
+CMT version v1r20.
 ------------------------------------------
 Installing the cmt directory
@@ -921,5 +921,5 @@
 <i><font COLOR="#000077" face="courier new, courier">------------------------------------------
 Configuring environment for package Foo version v1.
-CMT version v1r19.                              [1]
+CMT version v1r20.                              [1]
 Root set to /home/arnault/Dev.
 System is Linux-i686                                     [2]
@@ -957,5 +957,5 @@
 <i><font COLOR="#007700" face="courier new, courier">------------------------------------------
 Configuring environment for package Foo version v1.
-CMT version v1r19.
+CMT version v1r20.
 Root set to /ProjectB.
 System is Linux-i686
@@ -1052,5 +1052,5 @@
 <i><font COLOR="#000077" face="courier new, courier">------------------------------------------
 Removing package Foo version v1.
-CMT version v1r19.
+CMT version v1r20.
 Root set to /home/arnault/mydev.
 System is Linux-i686
@@ -1062,5 +1062,5 @@
 <i><font COLOR="#000077" face="courier new, courier">------------------------------------------
 Removing package Foo version v1.
-CMT version v1r19.
+CMT version v1r20.
 Root set to /ProjectB.
 System is Linux-i686
@@ -1627,5 +1627,5 @@
         <li>The current minor version id of CMT is a valid tag and
         	takes the form <tt>CMTr&lt;n&gt;</tt>
-         (eg. <tt>CMTr19</tt>
+         (eg. <tt>CMTr20</tt>
       )</li>
         <li>The current patch id of CMT is a valid tag and takes the
@@ -1721,5 +1721,5 @@
 &gt; cmt show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)                                                   [1]
-CMTr19 (from CMTVERSION) package CMT implies [CMTr14]                     [1]
+CMTr20 (from CMTVERSION) package CMT implies [CMTr14]                     [1]
 CMTp20040701 (from CMTVERSION)                                            [1]
 Linux (from uname) package CMT implies [Unix]                             [2]
@@ -1874,5 +1874,5 @@
 &gt; cmt show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)
-CMTr19 (from CMTVERSION)
+CMTr20 (from CMTVERSION)
 CMTp0 (from CMTVERSION)
 Linux (from uname)
@@ -1889,5 +1889,5 @@
 &gt; cmt show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)
-CMTr19 (from CMTVERSION)
+CMTr20 (from CMTVERSION)
 CMTp0 (from CMTVERSION)
 Linux (from uname) package Foo implies [foo]
@@ -1906,5 +1906,5 @@
 &gt; cmt show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)
-CMTr19 (from CMTVERSION)
+CMTr20 (from CMTVERSION)
 CMTp0 (from CMTVERSION)
 Linux (from uname)
@@ -1922,5 +1922,5 @@
 &gt; cmt show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)
-CMTr19 (from CMTVERSION)
+CMTr20 (from CMTVERSION)
 CMTp0 (from CMTVERSION)
 Linux (from uname)
@@ -1931,5 +1931,5 @@
 &gt; cmt -tag_add=tag1,tag2,tag3 show tags
 <i><font COLOR="#000077" face="courier new, courier">CMTv1 (from CMTVERSION)
-CMTr19 (from CMTVERSION)
+CMTr20 (from CMTVERSION)
 CMTp0 (from CMTVERSION)
 Linux (from uname)
@@ -5290,5 +5290,5 @@
 <pre>
 &gt; cmt expand model "abcd $(CMTVERSION) efgh"
-<i><font COLOR="#000077" face="courier new, courier">abcd v1r19 efgh</font></i></pre>
+<i><font COLOR="#000077" face="courier new, courier">abcd v1r20 efgh</font></i></pre>
   </li>
     <li><i>Recursively</i>
@@ -5778,5 +5778,5 @@
 #
 # Selection :                                    [4]
-use CMT v1r19 (/afs/cern.ch/sw/contrib)
+use CMT v1r20 (/afs/cern.ch/sw/contrib)
 use ExternalLibs v4r2p0  (/afs/cern.ch/atlas/offline/external/Gaudi/0.12.1.5)    [5]
 use CLHEP v2r1820p0  (/afs/cern.ch/atlas/offline/external/Gaudi/0.12.1.5)
@@ -6672,6 +6672,6 @@
 csh&gt; cd /Packages 
 csh&gt; &lt;get the tar file from the Web&gt; 
-csh&gt; tar xzf CMTv1r19.tar.gz 
-csh&gt; cd CMT/v1r19/mgr 
+csh&gt; tar xzf CMTv1r20.tar.gz 
+csh&gt; cd CMT/v1r20/mgr 
 csh&gt; ./INSTALL 
 csh&gt; source setup.csh 
@@ -6709,5 +6709,5 @@
      will
                 contain the current version tag of <tt>CMT</tt>
-                (<tt>"v1r19"</tt>
+                (<tt>"v1r20"</tt>
    for this version). </li>
     <li><tt>HKEY_LOCAL_MACHINE/Software/CMT/path/</tt>
@@ -6731,5 +6731,5 @@
 dos&gt; cd Packages 
 dos&gt; &lt;get the tar file from the Web&gt; 
-dos&gt; cd CMT\v1r19\mgr 
+dos&gt; cd CMT\v1r20\mgr 
 dos&gt; call INSTALL 
 dos&gt; call setup.bat
@@ -6881,5 +6881,5 @@
       </td>
       <td>gives the current release number of CMT</td>
-        <td><tt>19</tt>
+        <td><tt>20</tt>
       </td>
     </tr>
@@ -6888,5 +6888,5 @@
       </td>
       <td>gives the current complete version tag of CMT</td>
-        <td><tt>v1r19</tt>
+        <td><tt>v1r20</tt>
       </td>
     </tr>
Index: /CMT/v1r20/doc/CMTDoc.xml
===================================================================
--- /CMT/v1r20/doc/CMTDoc.xml	(revision 368)
+++ /CMT/v1r20/doc/CMTDoc.xml	(revision 369)
@@ -2,8 +2,8 @@
 <!DOCTYPE CMT [ 
   <!ENTITY nbsp "&nbsp;">
-  <!ENTITY CMTrelease "19">
-  <!ENTITY CMTVersion "v1r19">
+  <!ENTITY CMTrelease "20">
+  <!ENTITY CMTVersion "v1r20">
   <!ENTITY CMTvTag "CMTv1">
-  <!ENTITY CMTrTag "CMTr19">
+  <!ENTITY CMTrTag "CMTr20">
   <!ENTITY CMTpTag "CMTp">
   <!ENTITY CMTrequirements "&nbsp;<a HREF='#The requirements file'>requirements</a>&nbsp;">
Index: /CMT/v1r20/doc/CMTDownload.html
===================================================================
--- /CMT/v1r20/doc/CMTDownload.html	(revision 368)
+++ /CMT/v1r20/doc/CMTDownload.html	(revision 369)
@@ -17,12 +17,13 @@
 var phpmyvisitesURL = "http://www.cmtsite.org/phpmv2/phpmyvisites.php";
 //-->
-</script><script language="javascript" src="CMTDownload_fichiers/phpmyvisites.js" type="text/javascript"></script></head><body alink="#007777" bgcolor="#ffffff" link="#550088"><a href="http://www.phpmyvisites.net/" title="phpMyVisites | Open source web analytics" onclick="window.open(this.href);return(false);">
+</script>
+<script language="javascript" src="CMTDownload_fichiers/phpmyvisites.js" type="text/javascript">
+</script>
+</head>
+<body alink="#007777" bgcolor="#ffffff" link="#550088">
 
-<img src="CMTDownload_fichiers/phpmyvisites.gif" alt="phpMyVisites" style="border: 0pt none ;">
+<a href="http://www.phpmyvisites.net/" title="" onclick="window.open(this.href);return(false);">
 
 <noscript>
-<p>phpMyVisites | Open source web analytics
-<img src="http://www.cmtsite.org/phpmv2/phpmyvisites.php" alt="phpMyVisites" style="border:0" />
-</p>
 </noscript>
 </a>
@@ -45,14 +46,14 @@
 	<table border="1" cols="1">
 
-<tbody><tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19.tar.gz">Source kit</a> </td></tr>
-<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19OSF1-alpha.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19OSF1-alpha.tar.gz">OSF1-alpha</a> </td></tr>
-<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19Linux-i686.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19Linux-i686.tar.gz">Linux-i686</a> </td></tr>
-<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19Linux-x86_64.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19Linux-x86_64.tar.gz">Linux-x86_64</a> </td></tr>
-<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19Linux-ia64.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19Linux-ia64.tar.gz">Linux-ia64</a> </td></tr>
-<tr><td><a href="http://www.cmtsite.org/v1r19/CMTv1r19SunOS-sun4u.tar.gz">SunOS-sun4u</a> </td></tr>
-<tr><td><a href="http://www.cmtsite.org/v1r19/CMTv1r19AIX-002064874C00.tar.gz">AIX-002064874C00</a> </td></tr>
-<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19VisualC.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19VisualC.tar.gz">VisualC</a> </td></tr>
-<tr><td><a href="http://www.cmtsite.org/v1r19/CMTv1r19CYGWIN_NT-5.1-i686.tar.gz">CYGWIN_NT-5.1-i686</a> </td></tr>
-<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r19/CMTv1r19Darwin-PowerMacintosh.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r19Darwin-PowerMacintosh.tar.gz">Darwin-PowerMacintosh</a> </td></tr>
+<tbody><tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r20/CMTv1r20.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r20.tar.gz">Source kit</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r20/CMTv1r20OSF1-alpha.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r20OSF1-alpha.tar.gz">OSF1-alpha</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r20/CMTv1r20Linux-i686.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r20Linux-i686.tar.gz">Linux-i686</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r20/CMTv1r20Linux-x86_64.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r20Linux-x86_64.tar.gz">Linux-x86_64</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r20/CMTv1r20Linux-ia64.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r20Linux-ia64.tar.gz">Linux-ia64</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/v1r20/CMTv1r20SunOS-sun4u.tar.gz">SunOS-sun4u</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/v1r20/CMTv1r20AIX-002064874C00.tar.gz">AIX-002064874C00</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r20/CMTv1r20VisualC.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r20VisualC.tar.gz">VisualC</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/v1r20/CMTv1r20CYGWIN_NT-5.1-i686.tar.gz">CYGWIN_NT-5.1-i686</a> </td></tr>
+<tr><td><a href="http://www.cmtsite.org/phpmv2/phpmyvisites.php?url=http://www.cmtsite.org/v1r20/CMTv1r20Darwin-PowerMacintosh.tar.gz&amp;id=1&amp;pagename=FILE:CMTv1r20Darwin-PowerMacintosh.tar.gz">Darwin-PowerMacintosh</a> </td></tr>
 
 
Index: /CMT/v1r20/doc/ReleaseNotes.html
===================================================================
--- /CMT/v1r20/doc/ReleaseNotes.html	(revision 368)
+++ /CMT/v1r20/doc/ReleaseNotes.html	(revision 369)
@@ -45,4 +45,78 @@
 
  <li>
+        <b>v1r20</b>
+	<ul>    
+    <li class="new">Add support for the -import=PkgA,PkgB,... syntax:
+    <pre>library Lalib   *.cpp -import=A,C</pre>
+    </li>
+
+    
+    <li class="new">Extend the project syntax to support macros/tags. E.g.:
+    <pre>        project Project
+
+        author garonne
+
+        use P1 v1.*
+
+        container container v1
+
+        # Policy definitions used by all packages belonging to this project
+        tag ATLAS
+
+        macro use_build_strategy "without_installarea" \
+                   ATLAS "with_installarea"
+
+        macro use_setup_strategy "no_root" \
+                       ATLAS "root"
+
+        macro use_structure_strategy "with_version_directory" \
+                       ATLAS "without_version_directory"
+                                              
+        build_strategy     $(use_build_strategy)
+        setup_strategy     $(use_setup_strategy)
+        structure_strategy $(use_structure_strategy)
+        ...</pre>
+    </li>        
+    <li class="new">Extend the strategy syntax for supporting variable, e.g.:
+    <pre>
+        macro use_strategy "without_installarea" \
+                   ATLAS "with_installarea"
+
+        build_strategy $(use_strategy)</pre>
+    </li>
+
+    <li class="new">Enable the package selection by native_version requirements:<pre>use foo -native_version=2.0</pre>
+    To activate this feature, it is necessary to execute the <tt>cmt config</tt> in all packages to 
+    create for each eligible package a <tt>cmt/native_version.cmt</tt> file generated from the 
+    <tt>&lt;package&gt;_native_version macro</tt> and used for the package selection.    
+    </li>
+    
+            	
+	<li class="new">
+	 Add macros $(${GROUP}_pre_constituents),  $(${GROUP}_post_constituents) for 
+	 ordering targets executed by default during make execution.
+    </li>
+
+	<li class="bug">Correct problems with the cxx pre-compiler parser for dealing with continuation
+	character, space, etc. This problem created in some case the missing dependencies problem with 
+	previous releases (Thanks to Scott Snyder, 
+	see <a href="http://savannah.cern.ch/bugs/?23384">bug report</a>).
+    </li> 
+    
+    <li class="bug">Fix bugs with <tt>-no_auto_imports</tt>.</li>
+    
+    <li class="bug">Return status code when executing make by the <tt>"cmt make"</tt> action 
+    name.</li>
+     
+	<li class="bug">Correct the fact that a <tt>"apply_tag"</tt> protected by a private section is exported in 
+	all the client packages.</li>
+
+
+	</ul>
+ </li>
+
+
+
+ <li>
         <b>v1r19</b>
 	<ul>    
Index: /CMT/v1r20/source/cmt_version.h
===================================================================
--- /CMT/v1r20/source/cmt_version.h	(revision 368)
+++ /CMT/v1r20/source/cmt_version.h	(revision 369)
@@ -8,5 +8,5 @@
 #define __cmt_version_h__
 
-#define CMTVERSION "HEAD"
+#define CMTVERSION "v1r20"
 
 #endif